查看 Database 详情 (V2)
This operation describes the specified database.
POST/v2/vectordb/databases/describe
该 API 的 Base URL 格式如下:
https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530
📘说明
- 如果您使用的是服务集群,请使用集群端点。
Free 与 Serverless 版
https://{cluster-id}.serverless.{region}.vectordb.zillizcloud.comDedicated 版
https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530
- 你需要填入您的 Zilliz Cloud 集群的
${CLUSTER_ENDPOINT}。 - 您可以使用 查看集群详情 V2 来获取集群的 Endpoint.
export CLUSTER_ENDPOINT="https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530"
参数
Authorizationstringheaderrequired
认证令牌,应为具备适当权限的 API 密钥或用冒号分隔的用户名和密码,如 username:password。如果您使用的是项目端点,则仅具备足够权限的有效 API 密钥适用。
示例值:Bearer {{TOKEN}}
请求体application/json
dbNamestring必填项
要创建的新 Database 的名称。
export TOKEN="db_admin:xxxxxxxxxxxxx"
curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/databases/describe" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"dbName": "my_database"
}'
响应200 - application/json
codeinteger
响应码。
dataobject
指定 Database 的详细信息。
dbNamestring
Database 名称。
dbIDinteger
Database ID。
propertiesarray
以键值对的方式提供的指定 Database 的属性。
[]propertiesobject
表示 Database 属性的键值对。
keystring
属性名称。
valuestring
属性值。
返回错误消息。
codeinteger
响应码。
messagestring
错误描述。
{
"code": 0,
"cost": 0,
"data": {
"dbName": "my_database",
"dbID": 123,
"properties": [
{
"key": "database.replica.number",
"value": "1"
}
]
}
}